Download it now!
Bug 87652 - Automatic grammar check does not work in the cell
Summary: Automatic grammar check does not work in the cell
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.3.5.2 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-12-23 23:00 UTC by tagezi
Modified: 2019-12-03 14:28 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
example of grammar check (13.14 KB, application/vnd.oasis.opendocument.spreadsheet)
2014-12-23 23:00 UTC, tagezi
Details
example of grammar check (13.14 KB, application/vnd.oasis.opendocument.text)
2014-12-23 23:08 UTC, tagezi
Details

Note You need to log in before you can comment on or make changes to this bug.
Description tagezi 2014-12-23 23:00:02 UTC
Created attachment 111245 [details]
example of grammar check

Problem description: If a Calc document contains several languages, all correctly written words that are not belong to the language, which is set in the grammar check by default, will be marked as incorrect by red underlining, even if there was another language assigned to particular cells. 

Steps to reproduce:
1. Enter in A1 a word in a language set in the grammar check by default.
2. Enter in B1 a word in any other language.
3. Right-click on the B1 cell and select “Format Cells...”
4. Open a tab “Font” and select in drop-down list the language that was entered.
5. Click “Ok”.

Current behavior: The grammar check by default works. But the grammar check for any other language does not work. If you right-click on the cell where there was a word underlined with red, and then click anywhere on the sheet, the red underline disappears. But If you save the document, close and open it again, you see the red underline back.

Expected behavior: In my opinion, if a word is written right and the grammar check is set for this cell in a proper language, red underline should not appear regardless overall grammar check preferences.

There is an example in the attached file. The language of document is Russian. The word 'Русский' is written in the cell A1. The word English. Is written in the cell B1. And the word 'Español' is written in the cell C1. The cell style is selected as English for the B1 and as Spanish for the C1. But the words 'English' and 'Español' are marked with red underlining.
Comment 1 tagezi 2014-12-23 23:08:07 UTC
Created attachment 111246 [details]
example of grammar check
Comment 2 A (Andy) 2014-12-24 09:55:46 UTC
@Lera: I suppose you mean the spell check and not the grammar check.


Reproducible with LO 4.4.0.0.beta1 and 4.3.4.1 (Win 8.1).

My default language is German and I entered an English word "house".  Then I changed the language with right mouse click -> FORMAT CELLS as described, but the word is still red underlined.
The red underline only disappears if I select the cell and then go to the Input Line and make a left mouse click into it followed by a right mouse click into the Input Line and then click to any other cell.
-> Bug: If I change the language then it should no longer be red underlined.

After the red underline is no longer visible I saved the file and reopened it. 
Result: The red underline is again visible, but the changed language is still remembered by LO.
-> Bug: The red underline should not appear again.
Comment 3 tagezi 2014-12-25 07:12:08 UTC
(In reply to A (Andy) from comment #2)
> @Lera: I suppose you mean the spell check and not the grammar check.
Yes, you are right.

> -> Bug: If I change the language then it should no longer be red underlined.
> -> Bug: The red underline should not appear again.
Yes, it can be divided into two bugs. In my opinion, they are related. But perhaps, it requires a consultation of developers. If the developer is easy to solve this problem as two different, I may divide onto two bug reports.

There is discussion in the Russian community: http://forumooo.ru/index.php/topic,4635.msg28911
Comment 4 QA Administrators 2016-09-20 09:36:54 UTC Comment hidden (obsolete)
Comment 5 tagezi 2016-09-20 09:51:01 UTC
confirm on 

Version: 5.2.3.0.0+
ID: 4b7707bb8bcf0965d2d81f9c82672cb11829737f
OS: Linux 4.6;
local: ru-RU (ru_RU.UTF-8); Calc: group
Comment 6 Xisco Faulí 2017-09-29 08:51:21 UTC Comment hidden (obsolete)
Comment 7 QA Administrators 2019-12-03 14:28:00 UTC
Dear tagezi,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug